
QGIS Application - Bug report #21547

QGIS crashed when use file browser

2019-03-10 08:49 PM - Emilio Abad

Status: Feedback

Priority: Normal

Assignee:

Category: Browser

Affected QGIS version:3.4.5 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 29363

Description

User Feedback

QGIS crashed when use file browser. No pluggins charged.

Report Details

Crash ID: 0478ce1956a3f8a7c10e47977c1089a39309c46f

Stack Trace

RtlFreeHeap :

free :

DllUnregisterServer :

DllUnregisterServer :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoGetTreatAsClass :

CoCreateInstance :

CoCreateInstance :

CoCreateInstance :

SHCreateItemInKnownFolder :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

Ordinal61 :

SHELL32_IconOverlayManagerInit :

SHELL32_IconOverlayManagerInit :

NeverProvidedByJunction :

StateRepoVerbsCache_GetContextMenuVerbs :

StateRepoVerbsCache_GetContextMenuVerbs :

Ordinal2007 :

SHCreateItemWithParent :

SHCreateItemWithParent :

SHCreateItemWithParent :

GetScaleFactorForMonitor :

A_SHAUpdate :

RtlReleaseSRWLockExclusive :

BaseThreadInitThunk :

RtlUserThreadStart :
QGIS Info

QGIS Version: 3.4.5-Madeira

QGIS code revision: commit:89ee6f6e23

Compiled against Qt: 5.11.2

Running against Qt: 5.11.2

Compiled against GDAL: 2.4.0

Running against GDAL: 2.4.0

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.17134

History

#1 - 2019-03-11 11:44 AM - Giovanni Manghi

- Status changed from Open to Feedback

Can you add more details? what are the steps needed to replicate the problem?

#2 - 2019-03-11 02:27 PM - Emilio Abad

Giovanni Manghi wrote:

Can you add more details? what are the steps needed to replicate the problem?

Hi Giovanni,

It is a strange situation.

I just open QGIS and open the file browser (layer administrator). When searching for a layer to load, the program closes. I have tried to install and uninstall

the versions and go with the 3. * I haven't the same problem with 2.18 in the same computer.

I have tried on another computer, also with W10 and I do not have that problem, I can to load shapefiles, geopackages ....

Thanks, Emilio

#3 - 2019-03-11 02:29 PM - Giovanni Manghi

Emilio Abad wrote:

Giovanni Manghi wrote:

Can you add more details? what are the steps needed to replicate the problem?

Hi Giovanni,

It is a strange situation.

I just open QGIS and open the file browser (layer administrator). When searching for a layer to load, the program closes. I have tried to install and
uninstall the versions and go with the 3. * I haven't the same problem with 2.18 in the same computer.

I have tried on another computer, also with W10 and I do not have that problem, I can to load shapefiles, geopackages ....

Thanks, Emilio

have you tried with a new/clean profile (no 3rd party plugins installed)?

Does it happens only for folders with specific datasources? or any folder?
